Utilizzando tema Materiale su L anteprima

? Niek Haarman @ | Original: StackOverFlow
---

L'anteprima L Developer è attualmente a livello di API 20. Tuttavia, a quanto pare i temi richiedono livello API 21 .

@android:style/Theme.Material.Light.DarkActionBar Richiede livello di API 21

Si tratta di un errore, sto facendo qualcosa di sbagliato, o è solo non è possibile utilizzare materiale sul L Preview ?

---

Top 5 Risposta

1Niek Haarman @

Per approfondire @ commenti di Panini, sto usando questo nel mio build.gradle :

android {
    compileSdkVersion 'android-L'
    buildToolsVersion '20.0.0'

    defaultConfig {
        minSdkVersion 16
        targetSdkVersion 'L'
        versionName buildVersion.version
    }

/* ... */
}

Posizionando il styles.xml nella cartella values-v21, consente il tema per l'esecuzione su L Preview .